Bug 863480 - Allow to select test cases when creating a new TestRun
Allow to select test cases when creating a new TestRun
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: python-nitrate (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Petr Šplíchal
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 11:00 EDT by Petr Šplíchal
Modified: 2016-05-31 21:43 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-07 13:52:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šplíchal 2012-10-05 11:00:26 EDT
Description of problem:

Currently it's not possible to specify test cases which should be
added to newly created test run. Let's support a new parameter
'testcases' which should accept test case ids or objects.

Version-Release number of selected component (if applicable):
python-nitrate-0.9-0.el6.noarch

Steps to Reproduce:
testrun = TestRun(testplan=1234, testcases=[1,2,3,4])
  
Expected results:
Only selected test cases adde to the test run.
Comment 1 Petr Šplíchal 2012-12-07 15:21:30 EST
New optional parameter "testcases" implemented in the devel branch:
https://github.com/psss/python-nitrate/commit/2b59d40
Test cases can be provided as a list of test case objects or a list of ids.
Comment 2 Fedora Update System 2012-12-10 07:42:17 EST
python-nitrate-0.9-0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.el6
Comment 3 Fedora Update System 2012-12-10 07:49:11 EST
python-nitrate-0.9-0.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.fc18
Comment 4 Fedora Update System 2012-12-10 07:49:11 EST
python-nitrate-0.9-0.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.fc16
Comment 5 Fedora Update System 2012-12-10 07:49:15 EST
python-nitrate-0.9-0.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/python-nitrate-0.9-0.fc17
Comment 6 Fedora Update System 2012-12-11 02:47:43 EST
python-nitrate-0.9-0.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-13721/python-nitrate-0.9-0.el6
Comment 7 Fedora Update System 2012-12-19 03:33:15 EST
python-nitrate-0.9-0.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2012-12-19 03:43:47 EST
python-nitrate-0.9-0.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-01-07 13:53:00 EST
python-nitrate-0.9-0.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 10 Fedora Update System 2013-01-11 20:10:20 EST
python-nitrate-0.9-0.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.